<script>
  import {scaleLinear, scaleOrdinal} from 'd3-scale';
  import {schemeAccent} from 'd3-scale-chromatic';
  import {extent} from 'd3-array';
  
  // Dimensions
  const width = 800;
  const height = 100;
  const margin = { top: 20, right: 5, bottom: 5, left: 5 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  // Array
  const values = [
    { x: 2, y: 1, category: "cat1" },
    { x: 4, y: 2, category: "cat3" },
    { x: 6, y: 1, category: "cat2" },
    { x: 7, y: 3, category: "cat3" },
    { x: 9, y: 1, category: "cat2" }
  ];

  const scaleX = scaleLinear().domain([0,10]).range([0,innerWidth]);
  const scaleY = scaleLinear().domain([4,-1]).range([0,innerHeight]);
  const color = scaleOrdinal().domain(["cat1","cat2","cat3"]).range(schemeAccent);

  
</script>

<svg viewBox="0 0 {width} {height}">
  <g transform="translate({margin.left},{margin.top})">
    {#each values as value}
      <circle cx={scaleX(value.x)} cy={scaleY(value.y)} r=5 style={"fill:"+color(value.category)}/>
      <text x={scaleX(value.x)} y={scaleY(value.y)-15} class="valueLabel">{value.y}</text>
      <line x1={scaleX(value.x)} y1=75 x2={scaleX(value.x)} y2={scaleY(value.y)+5}/>
    {/each}

  </g>

  <line x1=5 y1=95 x2=795 y2=95/>

</svg>

<style>
  text {
    text-anchor: middle;
    font-size: small;
  }

  line {
    stroke:black;
    stroke-width: 1px;
 }
</style>
